GuidesRecipesAPI Reference
API Reference

Create fulfillment

An endpoint for creating fulfillments on orders. Order items that have been cancelled cannot be fulfilled. If the buyer requires tracking information, the fulfillment will be rejected, and not created.

Path Params
string
required

ID of the order with the new fulfillment

Body Params

An object containing fulfillment details

string

The carrier (tracking company) of the fulfillment.

items
array of objects
required
length ≥ 1

The line items being fulfilled by this fulfillment.

items*
string
required

The line item ID (corresponds to the sellerItemCode on the order item).

integer
required

The amount shipped.

string

The tracking code for the fulfillment

trackingNumbers
array of strings

Deprecated. Use TrackingCode instead.

trackingNumbers
trackingUrls
array of strings

The tracking urls of the fulfillment.

trackingUrls
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json